Connect an AI assistant
Your AI assistant can read this documentation directly, so it answers from the current content instead of guessing. Add one of the servers below to your client — they use the Model Context Protocol (MCP). Each one covers a different body of content, so add the one you need.
The catalog did not load. Refresh the page to try again.
Loading…
{{server.name}}
{{server.summary}}
{{server.documentCount.toLocaleString()}} pages Not published to this site
- Name
-
{{server.name}} - URL
-
{{mcpServerUrl(server.path)}}
| Tool | What it does |
|---|---|
{{tool.name}} |
{{part.text}}{{part.text}} |
How can we help?
Keep typing - a search needs at least two characters
Searching in {{docApp.searchFilterBySpecificBookTitle}}
Searching for:
{{docApp.searchResultFilteredItems.length}} results for:
{{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Found {{docApp.searchResponse.totalResultsAvailable}} matches. Showing the top {{docApp.searchResponse.results ? docApp.searchResponse.results.length : 0}}. Use a more specific search to further narrow down the results.
No documentation pages match this search, so all content types are shown.
Most matches are in {{docApp.searchDocTypeRescue.best.name}}.
There is no book with the ID "{{docApp.searchBookRescue.bid}}", so the book filter from this link was ignored and results from all books are shown.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}} {{resultItem.matchedBy === 'semantic' ? 'semantic' : (resultItem.matchedBy === 'both' ? 'keyword + semantic' : 'keyword')}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Description
Invoke this method to update user profile data
API Details
- Status: Status: production
- The required privilege level to invoke this method is
user - The supported database role for this method is
none - Transactional database functions are used during this method when supported by the target database.
| System Rights | Database Rights | Mail Rights | Calendar Rights |
|---|---|---|---|
sys.a.manageUserssys.a.updateUser |
--- |
--- |
--- |
Request Parameters
The userProfileSet method takes the following input parameters.
Note
When sending a JSON request payload to the API, the order of parameters is not significant. However, for XML request payloads, parameters must be provided in the exact order specified in this documentation to comply with input validation requirements.
| Name | Type | Attributes | Description |
|---|---|---|---|
profileData |
userProfileData |
Required | The user profile data. |
Response Parameters
This method returns no response parameters.
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/admin' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"admin","@method":"userProfileSet","params":{"profileData":{"userId":"xs:string","user":{"userId":"xs:string","urn":"https://www.example.com","firstName":"xs:string","lastName":"xs:string","name":"xs:string","email":"xs:string","onLineNow":false,"icon":"https://www.example.com","lastKnownLocation":{"latitude":1.23,"longitude":1.23,"elevation":1.23,"placeName":"xs:string","timestamp":"2026-01-01T12:00:00Z"},"onlineStatus":"offline","accountStatus":"active","availabilityStatusInfo":{"id":1,"status":"xs:string","timestamp":"2026-01-01T12:00:00Z","flags":{"presentAtWork":false,"inWorkingTime":false,"doNotDisturb":false,"onCall":false,"requiresReturnDate":false},"message":"xs:string"},"jobTitle":"xs:string","loginId":"xs:string","employeeId":"xs:string"},"employeeId":"xs:string","firstName":"xs:string","middleName":"xs:string","lastName":"xs:string","handle":"xs:string","jobTitle":"xs:string","jobDescription":"xs:string","homeOrganization":"xs:string","siteId":1,"siteName":"xs:string","group":[{"groupId":"xs:string","groupIdFullyQualified":{"groupId":"xs:string","status":"ok","groupName":"xs:string","children":[{}]},"type":"general","name":"xs:string","memberRole":"member","options":{"tasksView":false,"tasksAction":false}}],"manager":"xs:string","managerName":"xs:string","workPhone":"xs:string","workMobile":"xs:string","email":"xs:string","qualifications":"xs:string","interests":"xs:string","expertise":"xs:string","gender":"xs:string","dob":"2026-01-01T12:00:00Z","nationality":"xs:string","religion":"xs:string","homeTelephone":"xs:string","socialNetworkA":"https://www.example.com","socialNetworkB":"https://www.example.com","socialNetworkC":"https://www.example.com","socialNetworkD":"https://www.example.com","socialNetworkE":"https://www.example.com","socialNetworkF":"https://www.example.com","socialNetworkG":"https://www.example.com","socialNetworkH":"https://www.example.com","personalInterests":"xs:string","homeAddress":"xs:string","personalBlog":"https://www.example.com","department":"xs:string","userType":"user","attrib1":"xs:string","attrib2":"xs:string","attrib3":"xs:string","attrib4":"xs:string","attrib5":"xs:string","attrib6":"xs:string","attrib7":"xs:string","attrib8":"xs:string","language":"xs:language","timezone":"xs:string","country":"xs:string","dateTimeFormat":"xs:string","dateFormat":"xs:string","timeFormat":"xs:string","lastLogon":"2026-01-01T12:00:00Z","securityOptions":{"disableDirectLogin":false,"disableDirectLoginPasswordReset":false,"disableDevicePairing":false,"twofaMandatory":false},"twofaMethod":"disabled","twofaTotpRegistered":false,"twofaMandatoryEffective":false}}}'
package main
import (
"bytes"
"fmt"
"io"
"net/http"
)
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/admin"
const payload = `{
"@service": "admin",
"@method": "userProfileSet",
"params": {
"profileData": {
"userId": "xs:string",
"user": {
"userId": "xs:string",
"urn": "https://www.example.com",
"firstName": "xs:string",
"lastName": "xs:string",
"name": "xs:string",
"email": "xs:string",
"onLineNow": false,
"icon": "https://www.example.com",
"lastKnownLocation": {
"latitude": 1.23,
"longitude": 1.23,
"elevation": 1.23,
"placeName": "xs:string",
"timestamp": "2026-01-01T12:00:00Z"
},
"onlineStatus": "offline",
"accountStatus": "active",
"availabilityStatusInfo": {
"id": 1,
"status": "xs:string",
"timestamp": "2026-01-01T12:00:00Z",
"flags": {
"presentAtWork": false,
"inWorkingTime": false,
"doNotDisturb": false,
"onCall": false,
"requiresReturnDate": false
},
"message": "xs:string"
},
"jobTitle": "xs:string",
"loginId": "xs:string",
"employeeId": "xs:string"
},
"employeeId": "xs:string",
"firstName": "xs:string",
"middleName": "xs:string",
"lastName": "xs:string",
"handle": "xs:string",
"jobTitle": "xs:string",
"jobDescription": "xs:string",
"homeOrganization": "xs:string",
"siteId": 1,
"siteName": "xs:string",
"group": [
{
"groupId": "xs:string",
"groupIdFullyQualified": {
"groupId": "xs:string",
"status": "ok",
"groupName": "xs:string",
"children": [
{}
]
},
"type": "general",
"name": "xs:string",
"memberRole": "member",
"options": {
"tasksView": false,
"tasksAction": false
}
}
],
"manager": "xs:string",
"managerName": "xs:string",
"workPhone": "xs:string",
"workMobile": "xs:string",
"email": "xs:string",
"qualifications": "xs:string",
"interests": "xs:string",
"expertise": "xs:string",
"gender": "xs:string",
"dob": "2026-01-01T12:00:00Z",
"nationality": "xs:string",
"religion": "xs:string",
"homeTelephone": "xs:string",
"socialNetworkA": "https://www.example.com",
"socialNetworkB": "https://www.example.com",
"socialNetworkC": "https://www.example.com",
"socialNetworkD": "https://www.example.com",
"socialNetworkE": "https://www.example.com",
"socialNetworkF": "https://www.example.com",
"socialNetworkG": "https://www.example.com",
"socialNetworkH": "https://www.example.com",
"personalInterests": "xs:string",
"homeAddress": "xs:string",
"personalBlog": "https://www.example.com",
"department": "xs:string",
"userType": "user",
"attrib1": "xs:string",
"attrib2": "xs:string",
"attrib3": "xs:string",
"attrib4": "xs:string",
"attrib5": "xs:string",
"attrib6": "xs:string",
"attrib7": "xs:string",
"attrib8": "xs:string",
"language": "xs:language",
"timezone": "xs:string",
"country": "xs:string",
"dateTimeFormat": "xs:string",
"dateFormat": "xs:string",
"timeFormat": "xs:string",
"lastLogon": "2026-01-01T12:00:00Z",
"securityOptions": {
"disableDirectLogin": false,
"disableDirectLoginPasswordReset": false,
"disableDevicePairing": false,
"twofaMandatory": false
},
"twofaMethod": "disabled",
"twofaTotpRegistered": false,
"twofaMandatoryEffective": false
}
}
}`
func main() {
req, err := http.NewRequest(http.MethodPost, endpoint, bytes.NewBufferString(payload))
if err != nil {
fmt.Println(err)
return
}
req.Header.Set("Authorization", "ESP-APIKEY yourHornbillAPIKey")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer resp.Body.Close()
responseBody, _ := io.ReadAll(resp.Body)
fmt.Println(string(responseBody))
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/admin";
const payload = {
"@service": "admin",
"@method": "userProfileSet",
"params": {
"profileData": {
"userId": "xs:string",
"user": {
"userId": "xs:string",
"urn": "https://www.example.com",
"firstName": "xs:string",
"lastName": "xs:string",
"name": "xs:string",
"email": "xs:string",
"onLineNow": false,
"icon": "https://www.example.com",
"lastKnownLocation": {
"latitude": 1.23,
"longitude": 1.23,
"elevation": 1.23,
"placeName": "xs:string",
"timestamp": "2026-01-01T12:00:00Z"
},
"onlineStatus": "offline",
"accountStatus": "active",
"availabilityStatusInfo": {
"id": 1,
"status": "xs:string",
"timestamp": "2026-01-01T12:00:00Z",
"flags": {
"presentAtWork": false,
"inWorkingTime": false,
"doNotDisturb": false,
"onCall": false,
"requiresReturnDate": false
},
"message": "xs:string"
},
"jobTitle": "xs:string",
"loginId": "xs:string",
"employeeId": "xs:string"
},
"employeeId": "xs:string",
"firstName": "xs:string",
"middleName": "xs:string",
"lastName": "xs:string",
"handle": "xs:string",
"jobTitle": "xs:string",
"jobDescription": "xs:string",
"homeOrganization": "xs:string",
"siteId": 1,
"siteName": "xs:string",
"group": [
{
"groupId": "xs:string",
"groupIdFullyQualified": {
"groupId": "xs:string",
"status": "ok",
"groupName": "xs:string",
"children": [
{}
]
},
"type": "general",
"name": "xs:string",
"memberRole": "member",
"options": {
"tasksView": false,
"tasksAction": false
}
}
],
"manager": "xs:string",
"managerName": "xs:string",
"workPhone": "xs:string",
"workMobile": "xs:string",
"email": "xs:string",
"qualifications": "xs:string",
"interests": "xs:string",
"expertise": "xs:string",
"gender": "xs:string",
"dob": "2026-01-01T12:00:00Z",
"nationality": "xs:string",
"religion": "xs:string",
"homeTelephone": "xs:string",
"socialNetworkA": "https://www.example.com",
"socialNetworkB": "https://www.example.com",
"socialNetworkC": "https://www.example.com",
"socialNetworkD": "https://www.example.com",
"socialNetworkE": "https://www.example.com",
"socialNetworkF": "https://www.example.com",
"socialNetworkG": "https://www.example.com",
"socialNetworkH": "https://www.example.com",
"personalInterests": "xs:string",
"homeAddress": "xs:string",
"personalBlog": "https://www.example.com",
"department": "xs:string",
"userType": "user",
"attrib1": "xs:string",
"attrib2": "xs:string",
"attrib3": "xs:string",
"attrib4": "xs:string",
"attrib5": "xs:string",
"attrib6": "xs:string",
"attrib7": "xs:string",
"attrib8": "xs:string",
"language": "xs:language",
"timezone": "xs:string",
"country": "xs:string",
"dateTimeFormat": "xs:string",
"dateFormat": "xs:string",
"timeFormat": "xs:string",
"lastLogon": "2026-01-01T12:00:00Z",
"securityOptions": {
"disableDirectLogin": false,
"disableDirectLoginPasswordReset": false,
"disableDevicePairing": false,
"twofaMandatory": false
},
"twofaMethod": "disabled",
"twofaTotpRegistered": false,
"twofaMandatoryEffective": false
}
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/admin";
const payload = {
"@service": "admin",
"@method": "userProfileSet",
"params": {
"profileData": {
"userId": "xs:string",
"user": {
"userId": "xs:string",
"urn": "https://www.example.com",
"firstName": "xs:string",
"lastName": "xs:string",
"name": "xs:string",
"email": "xs:string",
"onLineNow": false,
"icon": "https://www.example.com",
"lastKnownLocation": {
"latitude": 1.23,
"longitude": 1.23,
"elevation": 1.23,
"placeName": "xs:string",
"timestamp": "2026-01-01T12:00:00Z"
},
"onlineStatus": "offline",
"accountStatus": "active",
"availabilityStatusInfo": {
"id": 1,
"status": "xs:string",
"timestamp": "2026-01-01T12:00:00Z",
"flags": {
"presentAtWork": false,
"inWorkingTime": false,
"doNotDisturb": false,
"onCall": false,
"requiresReturnDate": false
},
"message": "xs:string"
},
"jobTitle": "xs:string",
"loginId": "xs:string",
"employeeId": "xs:string"
},
"employeeId": "xs:string",
"firstName": "xs:string",
"middleName": "xs:string",
"lastName": "xs:string",
"handle": "xs:string",
"jobTitle": "xs:string",
"jobDescription": "xs:string",
"homeOrganization": "xs:string",
"siteId": 1,
"siteName": "xs:string",
"group": [
{
"groupId": "xs:string",
"groupIdFullyQualified": {
"groupId": "xs:string",
"status": "ok",
"groupName": "xs:string",
"children": [
{}
]
},
"type": "general",
"name": "xs:string",
"memberRole": "member",
"options": {
"tasksView": false,
"tasksAction": false
}
}
],
"manager": "xs:string",
"managerName": "xs:string",
"workPhone": "xs:string",
"workMobile": "xs:string",
"email": "xs:string",
"qualifications": "xs:string",
"interests": "xs:string",
"expertise": "xs:string",
"gender": "xs:string",
"dob": "2026-01-01T12:00:00Z",
"nationality": "xs:string",
"religion": "xs:string",
"homeTelephone": "xs:string",
"socialNetworkA": "https://www.example.com",
"socialNetworkB": "https://www.example.com",
"socialNetworkC": "https://www.example.com",
"socialNetworkD": "https://www.example.com",
"socialNetworkE": "https://www.example.com",
"socialNetworkF": "https://www.example.com",
"socialNetworkG": "https://www.example.com",
"socialNetworkH": "https://www.example.com",
"personalInterests": "xs:string",
"homeAddress": "xs:string",
"personalBlog": "https://www.example.com",
"department": "xs:string",
"userType": "user",
"attrib1": "xs:string",
"attrib2": "xs:string",
"attrib3": "xs:string",
"attrib4": "xs:string",
"attrib5": "xs:string",
"attrib6": "xs:string",
"attrib7": "xs:string",
"attrib8": "xs:string",
"language": "xs:language",
"timezone": "xs:string",
"country": "xs:string",
"dateTimeFormat": "xs:string",
"dateFormat": "xs:string",
"timeFormat": "xs:string",
"lastLogon": "2026-01-01T12:00:00Z",
"securityOptions": {
"disableDirectLogin": false,
"disableDirectLoginPasswordReset": false,
"disableDevicePairing": false,
"twofaMandatory": false
},
"twofaMethod": "disabled",
"twofaTotpRegistered": false,
"twofaMandatoryEffective": false
}
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/admin";
$payload = '{"@service":"admin","@method":"userProfileSet","params":{"profileData":{"userId":"xs:string","user":{"userId":"xs:string","urn":"https://www.example.com","firstName":"xs:string","lastName":"xs:string","name":"xs:string","email":"xs:string","onLineNow":false,"icon":"https://www.example.com","lastKnownLocation":{"latitude":1.23,"longitude":1.23,"elevation":1.23,"placeName":"xs:string","timestamp":"2026-01-01T12:00:00Z"},"onlineStatus":"offline","accountStatus":"active","availabilityStatusInfo":{"id":1,"status":"xs:string","timestamp":"2026-01-01T12:00:00Z","flags":{"presentAtWork":false,"inWorkingTime":false,"doNotDisturb":false,"onCall":false,"requiresReturnDate":false},"message":"xs:string"},"jobTitle":"xs:string","loginId":"xs:string","employeeId":"xs:string"},"employeeId":"xs:string","firstName":"xs:string","middleName":"xs:string","lastName":"xs:string","handle":"xs:string","jobTitle":"xs:string","jobDescription":"xs:string","homeOrganization":"xs:string","siteId":1,"siteName":"xs:string","group":[{"groupId":"xs:string","groupIdFullyQualified":{"groupId":"xs:string","status":"ok","groupName":"xs:string","children":[{}]},"type":"general","name":"xs:string","memberRole":"member","options":{"tasksView":false,"tasksAction":false}}],"manager":"xs:string","managerName":"xs:string","workPhone":"xs:string","workMobile":"xs:string","email":"xs:string","qualifications":"xs:string","interests":"xs:string","expertise":"xs:string","gender":"xs:string","dob":"2026-01-01T12:00:00Z","nationality":"xs:string","religion":"xs:string","homeTelephone":"xs:string","socialNetworkA":"https://www.example.com","socialNetworkB":"https://www.example.com","socialNetworkC":"https://www.example.com","socialNetworkD":"https://www.example.com","socialNetworkE":"https://www.example.com","socialNetworkF":"https://www.example.com","socialNetworkG":"https://www.example.com","socialNetworkH":"https://www.example.com","personalInterests":"xs:string","homeAddress":"xs:string","personalBlog":"https://www.example.com","department":"xs:string","userType":"user","attrib1":"xs:string","attrib2":"xs:string","attrib3":"xs:string","attrib4":"xs:string","attrib5":"xs:string","attrib6":"xs:string","attrib7":"xs:string","attrib8":"xs:string","language":"xs:language","timezone":"xs:string","country":"xs:string","dateTimeFormat":"xs:string","dateFormat":"xs:string","timeFormat":"xs:string","lastLogon":"2026-01-01T12:00:00Z","securityOptions":{"disableDirectLogin":false,"disableDirectLoginPasswordReset":false,"disableDevicePairing":false,"twofaMandatory":false},"twofaMethod":"disabled","twofaTotpRegistered":false,"twofaMandatoryEffective":false}}}';
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init();
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, $payload);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/admin"
$Body = @'
{
"@service": "admin",
"@method": "userProfileSet",
"params": {
"profileData": {
"userId": "xs:string",
"user": {
"userId": "xs:string",
"urn": "https://www.example.com",
"firstName": "xs:string",
"lastName": "xs:string",
"name": "xs:string",
"email": "xs:string",
"onLineNow": false,
"icon": "https://www.example.com",
"lastKnownLocation": {
"latitude": 1.23,
"longitude": 1.23,
"elevation": 1.23,
"placeName": "xs:string",
"timestamp": "2026-01-01T12:00:00Z"
},
"onlineStatus": "offline",
"accountStatus": "active",
"availabilityStatusInfo": {
"id": 1,
"status": "xs:string",
"timestamp": "2026-01-01T12:00:00Z",
"flags": {
"presentAtWork": false,
"inWorkingTime": false,
"doNotDisturb": false,
"onCall": false,
"requiresReturnDate": false
},
"message": "xs:string"
},
"jobTitle": "xs:string",
"loginId": "xs:string",
"employeeId": "xs:string"
},
"employeeId": "xs:string",
"firstName": "xs:string",
"middleName": "xs:string",
"lastName": "xs:string",
"handle": "xs:string",
"jobTitle": "xs:string",
"jobDescription": "xs:string",
"homeOrganization": "xs:string",
"siteId": 1,
"siteName": "xs:string",
"group": [
{
"groupId": "xs:string",
"groupIdFullyQualified": {
"groupId": "xs:string",
"status": "ok",
"groupName": "xs:string",
"children": [
{}
]
},
"type": "general",
"name": "xs:string",
"memberRole": "member",
"options": {
"tasksView": false,
"tasksAction": false
}
}
],
"manager": "xs:string",
"managerName": "xs:string",
"workPhone": "xs:string",
"workMobile": "xs:string",
"email": "xs:string",
"qualifications": "xs:string",
"interests": "xs:string",
"expertise": "xs:string",
"gender": "xs:string",
"dob": "2026-01-01T12:00:00Z",
"nationality": "xs:string",
"religion": "xs:string",
"homeTelephone": "xs:string",
"socialNetworkA": "https://www.example.com",
"socialNetworkB": "https://www.example.com",
"socialNetworkC": "https://www.example.com",
"socialNetworkD": "https://www.example.com",
"socialNetworkE": "https://www.example.com",
"socialNetworkF": "https://www.example.com",
"socialNetworkG": "https://www.example.com",
"socialNetworkH": "https://www.example.com",
"personalInterests": "xs:string",
"homeAddress": "xs:string",
"personalBlog": "https://www.example.com",
"department": "xs:string",
"userType": "user",
"attrib1": "xs:string",
"attrib2": "xs:string",
"attrib3": "xs:string",
"attrib4": "xs:string",
"attrib5": "xs:string",
"attrib6": "xs:string",
"attrib7": "xs:string",
"attrib8": "xs:string",
"language": "xs:language",
"timezone": "xs:string",
"country": "xs:string",
"dateTimeFormat": "xs:string",
"dateFormat": "xs:string",
"timeFormat": "xs:string",
"lastLogon": "2026-01-01T12:00:00Z",
"securityOptions": {
"disableDirectLogin": false,
"disableDirectLoginPasswordReset": false,
"disableDevicePairing": false,
"twofaMandatory": false
},
"twofaMethod": "disabled",
"twofaTotpRegistered": false,
"twofaMandatoryEffective": false
}
}
}
'@
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = $Body
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/admin"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload = json.loads('''{
"@service": "admin",
"@method": "userProfileSet",
"params": {
"profileData": {
"userId": "xs:string",
"user": {
"userId": "xs:string",
"urn": "https://www.example.com",
"firstName": "xs:string",
"lastName": "xs:string",
"name": "xs:string",
"email": "xs:string",
"onLineNow": false,
"icon": "https://www.example.com",
"lastKnownLocation": {
"latitude": 1.23,
"longitude": 1.23,
"elevation": 1.23,
"placeName": "xs:string",
"timestamp": "2026-01-01T12:00:00Z"
},
"onlineStatus": "offline",
"accountStatus": "active",
"availabilityStatusInfo": {
"id": 1,
"status": "xs:string",
"timestamp": "2026-01-01T12:00:00Z",
"flags": {
"presentAtWork": false,
"inWorkingTime": false,
"doNotDisturb": false,
"onCall": false,
"requiresReturnDate": false
},
"message": "xs:string"
},
"jobTitle": "xs:string",
"loginId": "xs:string",
"employeeId": "xs:string"
},
"employeeId": "xs:string",
"firstName": "xs:string",
"middleName": "xs:string",
"lastName": "xs:string",
"handle": "xs:string",
"jobTitle": "xs:string",
"jobDescription": "xs:string",
"homeOrganization": "xs:string",
"siteId": 1,
"siteName": "xs:string",
"group": [
{
"groupId": "xs:string",
"groupIdFullyQualified": {
"groupId": "xs:string",
"status": "ok",
"groupName": "xs:string",
"children": [
{}
]
},
"type": "general",
"name": "xs:string",
"memberRole": "member",
"options": {
"tasksView": false,
"tasksAction": false
}
}
],
"manager": "xs:string",
"managerName": "xs:string",
"workPhone": "xs:string",
"workMobile": "xs:string",
"email": "xs:string",
"qualifications": "xs:string",
"interests": "xs:string",
"expertise": "xs:string",
"gender": "xs:string",
"dob": "2026-01-01T12:00:00Z",
"nationality": "xs:string",
"religion": "xs:string",
"homeTelephone": "xs:string",
"socialNetworkA": "https://www.example.com",
"socialNetworkB": "https://www.example.com",
"socialNetworkC": "https://www.example.com",
"socialNetworkD": "https://www.example.com",
"socialNetworkE": "https://www.example.com",
"socialNetworkF": "https://www.example.com",
"socialNetworkG": "https://www.example.com",
"socialNetworkH": "https://www.example.com",
"personalInterests": "xs:string",
"homeAddress": "xs:string",
"personalBlog": "https://www.example.com",
"department": "xs:string",
"userType": "user",
"attrib1": "xs:string",
"attrib2": "xs:string",
"attrib3": "xs:string",
"attrib4": "xs:string",
"attrib5": "xs:string",
"attrib6": "xs:string",
"attrib7": "xs:string",
"attrib8": "xs:string",
"language": "xs:language",
"timezone": "xs:string",
"country": "xs:string",
"dateTimeFormat": "xs:string",
"dateFormat": "xs:string",
"timeFormat": "xs:string",
"lastLogon": "2026-01-01T12:00:00Z",
"securityOptions": {
"disableDirectLogin": false,
"disableDirectLoginPasswordReset": false,
"disableDevicePairing": false,
"twofaMandatory": false
},
"twofaMethod": "disabled",
"twofaTotpRegistered": false,
"twofaMandatoryEffective": false
}
}
}''')
response = requests.post(endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}